﻿using Grid_RemotePaging_SelectAll.Models;
using Infragistics.Web.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Grid_RemotePaging_SelectAll.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            return View();
        }

        [GridDataSourceAction]
        public ActionResult GetData()
        {
            return View("Index", GetGeneratedData().AsQueryable());
        }

        public ActionResult GetIDs()
        {
            JsonResult res = new JsonResult();
            res.JsonRequestBehavior = JsonRequestBehavior.AllowGet;
            res.Data = GetGeneratedData().Select(x => x.ID).ToList();
            return res;
        }

        public List<Product> GetGeneratedData() {
            List<Product> prods = new List<Product>();
            for (int i = 0; i < 1000; i++)
            {
                prods.Add(new Product() { ID = i, Name = "Name " + i });
            }
            return prods;
        }
    }
}